#ifndef PANELL_H
#define PANELL_H

#include <QWidget>
#include <QMqttClient>

QT_BEGIN_NAMESPACE
namespace Ui { class Panell; }
QT_END_NAMESPACE

#define TEMA_T1 "/dam/mesura/T1"
#define TEMA_T3 "/dam/mesura/T3"
#define TEMA_CABAL "/dam/mesura/cabal"

class Panell : public QWidget
{
    Q_OBJECT

public:
    Panell(QWidget *parent = nullptr);
    ~Panell();

    void subscription(QString topic);

private slots:
    void on_btConnect_clicked();
    void updateLogStateChange();
    void brokerDisconnected();
    void on_verticalSliderT1_valueChanged(int value);

    void on_lineEditCabal_textChanged(const QString &arg1);

private:
    Ui::Panell *ui;
    QMqttClient *m_client;
    void vGestionaResposta(QString tema,QString missatge);
    void publica(QString tema,QString missatge);
    void vEnableTopLayout(bool);
};
#endif // PANELL_H
